//-----------------------------LICENSE NOTICE------------------------------------
//
// This file is part of Firewall Wars.
//
//    FirewallWars is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License.
// 
//     FirewallWars is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with FirewallWars.  If not, see <http://www.gnu.org/licenses/>.
// 
//------------------------------------------------------------------------------
#ifndef _IA_H_
#define _IA_H_

#include "enemy.h"
#include "player.h"
#include "paint.h"
//#include "camera.h"
#include "enemy.h"
#include "pathfinding.h"
#define PROFUNDIDAD 3
#define G_HALFSPRITESENEMIGO_W G_ENEMIGOS_0_W/2
#define G_HALFSPRITESENEMIGO_H G_ENEMIGOS_0_H/2
#define RANDOMNSEW 250   // tiene que estar entre 0 y 254

//----------------------------------//
//			   Enemigo				//
//----------------------------------//

u8 loVeo(TJugador*, Tenemy*);											//Me devuelve SI si el enemigo ve que el jugador está en mi campo de visión
void persecucion(TJugador*, Tenemy*,u8*); 			//Lo persigue cuando todavía lo puede ver
void buscaNSEW(TJugador*, Tenemy*,TCinta* [NUM_CINTAS],u8*);			//Busca en las cuatro direcciones cuando lo pierde de vista
void buscaNSEWConDelay(TJugador*, Tenemy*,u8*);			
void compruebaCinta(TCinta* [NUM_CINTAS], Tenemy*,u8*,TJugador*);					//Va a comprobar si la cinta está en su sitio o no y activa la alarma si ya no sigue allí
u8 goTo(u8, u8, Tenemy*, u8*,TJugador*,TCinta* [NUM_CINTAS]);										//Dadas unas coordenadas X e Y, envía al enemigo hasta allí
void patrol(Tenemy* ,u8* ,TJugador* ,TCinta* [NUM_CINTAS]);
void enemyAI(Tenemy* ,u8* ,TJugador* ,TCinta* [NUM_CINTAS]);

//----------------------------------//
//				Cámara				//
//----------------------------------//
/*u8 loVeoCam(TJugador*, TCamera*);										//Me devuelve SI si la cámara ve que el jugador está en mi campo de visión
void dispararAlarma(Tenemy* [NUM_ENEMIGOS_NIVEL],TCamera*, TJugador*,u8*,TCinta* [NUM_CINTAS]);	//Dispara la alarma y hace que el guardia más cercano se acerque a ver que ocurre
*/
#endif
