//-----------------------------LICENSE NOTICE------------------------------------
//
// This file is part of Firewall Wars.
//
//    FirewallWars is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License.
// 
//     FirewallWars is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with FirewallWars.  If not, see <http://www.gnu.org/licenses/>.
// 
//------------------------------------------------------------------------------
#ifndef _PATHFINDING_H
#define _PATHFINDING_H
#include "enemy.h"


#define MAXWAYPOINTS 4





u16 manhattanDistance(u8 x1 ,u8 y1,u8 x2,u8 y2);
void calculatePathFinding(Tenemy* enemy ,Point2D* destiny);
void doPathfinding(Tenemy* enemy ,Point2D* destiny);

#endif